# MetadataEnumValue

#### new Cesium.MetadataEnumValue(options)
engine/Source/Scene/MetadataEnumValue.js 22

A metadata enum value.

See the 3D Metadata Specification for 3D Tiles

Name | Type | Description
--- | --- | ---

`options`

object

Object with the following properties:

Name | Type | Description
--- | --- | ---
`value` | number | The integer value.
`name` | string | The name of the enum value.
`description` | string | optional The description of the enum value.
`extras` | * | optional Extra user-defined properties.
`extensions` | object | optional An object containing extensions.

##### Experimental

This feature is using part of the 3D Tiles spec that is not final and is subject to change without Cesium's standard deprecation policy.

### Members

#### readonly description : string
engine/Source/Scene/MetadataEnumValue.js 98

The description of the enum value.

#### readonly extensions : object
engine/Source/Scene/MetadataEnumValue.js 124

An object containing extensions.

#### readonly extras : *
engine/Source/Scene/MetadataEnumValue.js 111

Extra user-defined properties.

#### readonly name : string
engine/Source/Scene/MetadataEnumValue.js 85

The name of the enum value.

#### readonly value : number
engine/Source/Scene/MetadataEnumValue.js 72

The integer value.

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.